import { Trip, TripGenerationInputs } from "./objects";
/** Sets the base url for Travelogue's backend, used for all subsequent requests
 * @param url The base url
*/
export declare const setBaseBackendUrl: (url: string) => void;
/** Generate a new trip based on the input parameters
 * @param input The trip generation inputs to be used
 * @param errorMessage An optional error message in the case that the response fails
*/
export declare const generateNewTrip: (input: TripGenerationInputs, errorMessage?: string | undefined) => Promise<Trip | import("./networking").ErrorResponse>;
